/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.aufwand-table-wrapper.expert-table {
  margin-bottom: 70px;
  .ant-table-content {
    overflow: visible;
  }
  .btn-remove-holder {
    margin: -38px 16px 45px;
    text-align: right;
    svg {
      vertical-align: top;
    }
  }
  .aufwand-table.expert-mode-table {
    .ant-table tbody td .hinweis-cell .ant-select-multiple {
      max-width: none !important;
      .ant-select-selection-item {
        display: inline-block;
        padding: 2px 4px 2px 8px;
        border: 1px solid #0032d9;
        border-radius: 2px;
        font-size: 1.4rem;
        line-height: 16px !important;
        color: #0032d9;
        margin: 0 8px 2px 0;
        vertical-align: top;
        height: auto;
        max-width: auto !important;
        .ant-select-selection-item-content,
        .ant-select-selection-item-remove {
          vertical-align: top;
        }
      }
      &:hover {
        .ant-select-selector {
          border: 1px solid #0032d9;
        }
      }
      .ant-select-selector {
        min-height: 32px !important;
        height: auto !important;
        padding: 2px 5px 0;
        &:after {
          line-height: 24px;
        }
      }
      .ant-select-selection-item-remove {
        line-height: 16px !important;
        .anticon {
          width: 16px !important;
          height: 16px !important;
        }
      }
    }
    .gesamt-euro {
      .ant-input-number {
        max-width: 140px;
        .ant-input-number-input-wrap {
          width: 140px;
        }
      }
    }
  }
  .buttons-holder {
    button {
      display: inline-block;
      margin: 10px 0;
      font-size: 1.6rem;
      height: 38px;
      svg {
        vertical-align: top;
      }
    }
  }
}
